package com.muller.awarenessapp.activities;

import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

import com.muller.awarenessapp.R;


/**
 * Simple activity which show some basic usage information about the app
 */
public class AboutActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about);
        setAboutText();
    }

    /**
     * Text to show
     */
    private void setAboutText() {
        StringBuilder sb = new StringBuilder();

        sb.append("Welcome to Aware Assistant\n\n");
        sb.append("By clicking on 'activities', you can choose which type of activity you want to " +
                "register. Then you can simply press add a fill dialog. By clicking on your activity " +
                "from list of activities, you will see either editing dialog or you will see another screen " +
                "with option to edit your shopping location/todo location or to add product/task. " +
                        "Again, you can click item from list of products/tasks to edit them in editing dialog.\n\n");
        sb.append("By clicking on 'settings', you will see screen with optional settings, where you can set different values " +
                "and save them. You do not have to worry if you forget default values, there is set default button for that :). " +
                "If you want to see debug information  when Broadcast Receiver get any kind of broadcast message, you can switch " +
                "debug on and little Toasts will appear.\n\n");
        sb.append("IMPORTANT: For right behaviour of application it is necessary to navigate to Application settings and in Location select" +
                " \"Allow all the time\". Also make sure that Physical activity is allowed");

        TextView textView = findViewById(R.id.tvAbout);
        textView.setText(sb);
    }
}