package com.muller.awarenessapp.activities;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import com.muller.awarenessapp.R;


/**
 * Activity with buttons to navigate between different types of fence activities
 * to register
 */
public class ActivitiesActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_activities);
    }

    /**
     * Reaction for shopping button, starts new Activity
     * @param v View that is triggering this method
     */
    public void shoppingClick(View v) {
        Intent intent = new Intent(this, ShoppingActivity.class);
        startActivity(intent);
    }

    /**
     * Reaction for release button, starts new Activity
     * @param v View that is triggering this method
     */
    public void releaseClick(View v) {
        Intent intent = new Intent(this, ReleaseActivity.class);
        startActivity(intent);
    }

    /**
     * Reaction for to do button, starts new Activity
     * @param v View that is triggering this method
     */
    public void todoClick(View v) {
        Intent intent = new Intent(this, TodoActivity.class);
        startActivity(intent);
    }

    /**
     * Reaction for detected activities button, starts new activity
     * @param v View that is triggering this method
     */
    public void detectedClick(View v) {
        Intent intent = new Intent(this, DetectedActivity.class);
        startActivity(intent);
    }
}