package com.muller.awarenessapp.activities;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.muller.awarenessapp.R;
import com.muller.awarenessapp.services.ReceiverService;

/**
 * Main activity which represents entry point of the application
 */
public class MainActivity extends AppCompatActivity {
    private static final String TAG = "MainActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Intent serviceIntent = new Intent(this, ReceiverService.class);
        startService(serviceIntent);
    }


    @Override
    protected void onStart() {
        super.onStart();
    }


    /**
     * Reaction for activities to button, starts new Activity
     * @param v View that is triggering this method
     */
    public void registerClick(View v) {
        Intent intent = new Intent(this, ActivitiesActivity.class);
        startActivity(intent);
    }

    /**
     * Reaction for settings button, starts new Activity
     * @param v View that is triggering this method
     */
    public void settingsClick(View v) {
        Intent intent = new Intent(this, SettingsActivity.class);
        startActivity(intent);
    }

    /**
     * Reaction for about button, starts new Activity
     * @param v View that is triggering this method
     */
    public void aboutClick(View v) {
        Intent intent = new Intent(this, AboutActivity.class);
        startActivity(intent);
    }

    /**
     * Reaction for register button, exits application
     * @param v View that is triggering this method
     */
    public void exitClick(View v) {
        System.exit(0);
    }
}