package com.muller.awarenessapp.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;

import com.muller.awarenessapp.R;

import java.util.ArrayList;

/**
 * Custom adapter which is used to display products
 */
public class ProductAdapter extends ArrayAdapter<String>{
    private Context context;
    private int resource;
    private ArrayList<String> products;


    public ProductAdapter(Context context, int resource, ArrayList<String> products) {
        super(context, resource, products);
        this.context = context;
        this.resource = resource;
        this.products = products;
    }

    @NonNull
    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        final String product = getItem(position);

        LayoutInflater inflater = LayoutInflater.from(context);
        convertView = inflater.inflate(resource, parent, false);

        TextView etProductName = convertView.findViewById(R.id.tvProductName);
        final ImageView ivDelete = convertView.findViewById(R.id.ivDelete);

        etProductName.setText(product);

        ivDelete.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                remove(product);
            }
        });


        return convertView;
    }
}
