package com.muller.awarenessapp.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;


import androidx.annotation.NonNull;

import com.muller.awarenessapp.Const;
import com.muller.awarenessapp.R;
import com.muller.awarenessapp.fences.Release;
import com.muller.awarenessapp.io.Fences;

import java.util.ArrayList;

/**
 * Custom adapter which is used to display releases
 */
public class ReleaseAdapter extends ArrayAdapter<Release> {
    private Context context;
    private int resource;
    private ArrayList<Release> releases;

    public ReleaseAdapter(Context context, int resource, ArrayList<Release> releases) {
        super(context, resource, releases);
        this.releases = releases;
        this.context = context;
        this.resource = resource;
    }

    @NonNull
    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(context);
        convertView = inflater.inflate(resource, parent, false);

        final Release release = getItem(position);
        TextView tvAlbum = convertView.findViewById(R.id.tvMusicRowAlbum);
        TextView tvArtist = convertView.findViewById(R.id.tvMusicRowArtist);
        final CheckBox cbSeen = convertView.findViewById(R.id.cbSeen);
        final ImageView ivDelete = convertView.findViewById(R.id.ivDelete);

        tvAlbum.setText(release.getAlbum());
        tvArtist.setText(release.getArtist());
        cbSeen.setChecked(release.isSeen());

        cbSeen.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                release.setSeen(cbSeen.isChecked());
            }
        });
        ivDelete.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                remove(release);
                release.unregisterFence(context);
                Fences.getInstance().writeFences(Const.RELEASES_FILE, releases);
            }
        });


        return convertView;
    }
}
