package com.muller.awarenessapp.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;

import com.muller.awarenessapp.Const;
import com.muller.awarenessapp.R;
import com.muller.awarenessapp.fences.ShoppingLocation;
import com.muller.awarenessapp.io.Fences;

import java.util.ArrayList;

/**
 * Custom adapter which is used to display shopping locations
 */
public class ShoppingLocationAdapter extends ArrayAdapter<ShoppingLocation> {
    private Context context;
    private int resource;
    private ArrayList<ShoppingLocation> locations;

    public ShoppingLocationAdapter(Context context, int resource, ArrayList<ShoppingLocation> shoppingLocations) {
        super(context, resource, shoppingLocations);
        this.context = context;
        this.resource = resource;
        this.locations = shoppingLocations;

    }

    @NonNull
    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(context);
        convertView = inflater.inflate(resource, parent, false);

        final ShoppingLocation location = getItem(position);
        final ImageView ivDelete = convertView.findViewById(R.id.ivDelete);
        TextView nameTextView = convertView.findViewById(R.id.tvRowName);

        nameTextView.setText(location.getName());

        ivDelete.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                remove(location);
                location.unregisterFence(context);
                Fences.getInstance().writeFences(Const.SHOP_LOC_FILE, locations);
            }
        });


        return convertView;
    }
}
