package com.muller.awarenessapp.adapters;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;

import com.muller.awarenessapp.R;
import com.muller.awarenessapp.fences.TodoTask;

import java.util.ArrayList;

/**
 * Custom adapter which is used to display tasks
 */
public class TaskAdapter extends ArrayAdapter<TodoTask> {
    private Context context;
    private int resource;

    public TaskAdapter(Context context, int resource, ArrayList<TodoTask> tasks) {
        super(context, resource, tasks);
        this.context = context;
        this.resource = resource;
    }

    @NonNull
    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        final TodoTask todoTask = getItem(position);

        LayoutInflater inflater = LayoutInflater.from(context);
        convertView = inflater.inflate(resource, parent, false);

        TextView tvTask = convertView.findViewById(R.id.tvTask);
        final CheckBox cbDone = convertView.findViewById(R.id.cbDone);
        ImageView ivDelete = convertView.findViewById(R.id.ivDelete);

        tvTask.setText(todoTask.getTask());
        cbDone.setChecked(todoTask.isDone());


        cbDone.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                getItem(position).setDone(cbDone.isChecked());
            }
        });

        ivDelete.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                remove(todoTask);
            }
        });

        return convertView;
    }
}
