package com.muller.awarenessapp.fences;

import android.app.PendingIntent;
import android.content.Context;

/**
 * Interface for fences
 */
public interface IFence {
    /**
     * Method sends notification
     * @param context context where method is called
     */
    public void sendNotification(Context context);

    /**
     * Method register fence
     * @param context context where method is called
     * @param pendingIntent pendingIntent used for fence registration
     */
    public void registerFence(Context context, PendingIntent pendingIntent);

    /**
     * Method unregister fence
     * @param context context where method is called
     */
    public void unregisterFence(Context context);

    /**
     * Method return unique key of the fence
     * @return key
     */
    public String getKey();
}
